---
title: Provisioning
url: https://docs.vultr.com/products/network/firewall-groups/provisioning
description: A process that prepares and configures a server or service for use after initial deployment.
publish_date: 2024-09-23T20:21:56.812413Z
last_updated: 2026-05-26T20:05:15.790452Z
---

# How to Create a Vultr Firewall Group

Vultr Firewall is a web-based service that filters network traffic to instances in your Vultr account using groups. A Vultr Firewall group consists of multiple IPv4 and IPv6 network rules that enable you to define specific ports and traffic sources to your instances.

Follow this guide to create a new Vultr Firewall group to manage network traffic filtering rules using the Vultr Console, API, CLI, or Terraform.

=== "Vultr Console"

    1. Navigate to **Products**, expand the **Network** drop-down and select **Firewall** from the list of options.
    1. Click **Add Firewall** to set up a new firewall group.
    1. Enter your firewall group label in the **Description** field
    1. Click **Add Firewall Group** to apply the group and manage the network filtering rules.

=== "Vultr API"

    1. Send a `GET` request to the [**List Firewall Groups** endpoint](https://www.vultr.com/api/#tag/firewall/operation/list-firewall-groups) and verify all active firewall groups in your Vultr account.

        ```console
        $ curl "https://api.vultr.com/v2/firewalls" \
          -X GET \
          -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

    1. Send a `POST` request to the **Create Firewall Group** endpoint to create a new Vultr Firewall group.

        ```console
        $ curl "https://api.vultr.com/v2/firewalls" \
          -X POST \
          -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

        Visit the [**List Firewall Groups** API page](https://www.vultr.com/api/#tag/firewall/operation/list-firewall-groups) to view additional attributes to apply on the firewall group.

=== "Vultr CLI"

    1. List all Vultr Firewall groups in your account.

        ```console
        $ vultr-cli firewall group list
        ```

    1. Create a new Vultr Firewall group.

        ```console
        $ vultr-cli firewall group create --description <label>
        ```
        
        Run `vultr-cli firewall group create --help` to view additional options to apply on the firewall group.

=== "Terraform"

    1. Ensure the [Vultr Terraform provider](https://registry.terraform.io/providers/vultr/vultr/latest/docs) is configured in your Terraform project.

    1. Create a firewall group (and optionally a rule), then apply.

        ```terraform
        resource "vultr_firewall_group" "web" {
            description = "web-fw"
        }

        resource "vultr_firewall_rule" "allow_http" {
            firewall_group_id = vultr_firewall_group.web.id
            protocol          = "tcp"
            port              = "80"
            ip_type           = "v4"
            subnet            = "0.0.0.0"
            subnet_size       = 0
            notes             = "Allow HTTP"
        }
        ```

    1. Apply the configuration and observe the following output:

        ```
        Apply complete! Resources: 2 added, 0 changed, 0 destroyed.
        ```
